<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Current Standings</title>
<style type="text/css">
body, td {
	font: 13px "Lucida Grande", "Lucida Sans Unicode", Tahoma, Verdana;
}
a, a:visited {
	border-bottom: 1px solid #69c;
	color: #00019b;
	text-decoration: none;
}
th {
	text-align: left;
}
</style>

</head>
<body>
<h2>Current Standings</h2>
<?php
require "settings.php";

$confid = intval($_GET['conf']);

mysql_connect($sportsdb_host,$sportsdb_user,$sportsdb_pass);
@mysql_select_db($sportsdb_db) or die( "Unable to select database");

// Allow sorting to occur
$standings_sort = intval($_GET['sort']);
switch ($standings_sort) {
case 1: $sort_order = "teamname ASC"; break;
case 2: $sort_order = "teamwins DESC, teamties DESC, teamlosses ASC"; break;
case 3: $sort_order = "teamlosses DESC, teamwins ASC, teamties ASC"; break;
case 4: $sort_order = "teamties DESC, teamwins DESC, teamlosses ASC"; break;
case 5: $sort_order = "teamforfeits DESC, teamwins ASC, teamties ASC"; break;
case 6: $sort_order = "gamesplayed DESC, teamwins DESC, teamties DESC, teamlosses ASC"; break;
case 7: $sort_order = "teamrf DESC, teamwins ASC, teamties DESC, teamlosses ASC"; break;
case 8: $sort_order = "teamra DESC, teamwins DESC, teamties ASC, teamlosses DESC"; break;
case 9: $sort_order = "gamesbehind ASC, teamties DESC, teamwins DESC, teamlosses ASC"; break;
case 10: $sort_order = "points DESC, teamwins DESC, winningpct DESC"; break;
default: $standings_sort = 0; $sort_order = "winningpct DESC";
}
$division_sort = "";

if ($confid > 0) {

// print the conference name
$resultconf = mysql_query("SELECT confname FROM sportsdb_conferences WHERE confid = $confid LIMIT 1");
$numconf = mysql_num_rows($resultconf);
if ($numconf == 0) die ("No such conference");

print "<h2>$confname</h2>\n";
print "<p><a href=\"index.php\">Back to conference list</a></p>\n<hr />\n";

// Get the divisions

$resultconf = mysql_query("SELECT divname, divid FROM sportsdb_divs WHERE conference = $confid ORDER BY divorder");
$numconf = mysql_num_rows($resultconf);
if ($numconf == 0) die ("No divisions in this conference");

while ($divs = mysql_fetch_array($resultconf, MYSQL_ASSOC)) {

	// Loop through each division

	$divname = $divs['divname'];

	print "<h3>$divname</h3>\n";

	?>
	<table width="600">
	<tr><td><?php if ($standings_sort != 1) print "<a href=\"index.php?conf=$confid&sort=1\">"; ?><b>Team Name</b><?php if ($standings_sort != 1) print "</a>"; ?></td>
	<td><?php if ($standings_sort != 6) print "<a href=\"index.php?conf=$confid&sort=6\">"; ?><strong>GP</strong><?php if ($standings_sort != 2) print "</a>"; ?></td>
	<td><?php if ($standings_sort != 2) print "<a href=\"index.php?conf=$confid&sort=2\">"; ?><b>Wins</b><?php if ($standings_sort != 2) print "</a>"; ?></td>
	<td><?php if ($standings_sort != 3) print "<a href=\"index.php?conf=$confid&sort=3\">"; ?><b>Losses</b><?php if ($standings_sort != 3) print "</a>"; ?></td>
	<?php if ($show_ties) { ?>
	<td><?php if ($standings_sort != 4) print "<a href=\"index.php?conf=$confid&sort=4\">"; ?><b>Ties</b><?php if ($standings_sort != 4) print "</a>"; ?></td>
	<?php } ?>
	<?php if ($forfeit) { ?>
	<td><?php if ($standings_sort != 5) print "<a href=\"index.php?conf=$confid&sort=5\">"; ?><b>Forfeits</b><?php if ($standings_sort != 5) print "</a>"; ?></td>
	<?php } ?>
	<?php if ($show_rfra) { ?>
	<td><?php if ($standings_sort != 7) print "<a href=\"index.php?conf=$confid&sort=7\">"; ?><b>RF</b><?php if ($standings_sort != 7) print "</a>"; ?></td>
	<td><?php if ($standings_sort != 8) print "<a href=\"index.php?conf=$confid&sort=8\">"; ?><b>RA</b><?php if ($standings_sort != 8) print "</a>"; ?></td>
	<?php } ?>
	<?php if ($show_gb) { ?>
	<td><?php if ($standings_sort != 9) print "<a href=\"index.php?conf=$confid&sort=9\">"; ?><b>GB</b><?php if ($standings_sort != 9) print "</a>"; ?></td>
	<?php } ?>
	<td><?php if ($standings_sort != 0) print "<a href=\"index.php?conf=$confid&sort=0\">"; ?><b>PCT</b><?php if ($standings_sort != 0) print "</a>"; ?></td>
	<?php if ($show_points) { ?>
	<td><?php if ($standings_sort != 10) print "<a href=\"index.php?conf=$confid&sort=10\">"; ?><b>Points</b><?php if ($standings_sort != 10) print "</a>"; ?></td>
	<?php } ?>
	</tr>
<?php
	$query = "SELECT COUNT(*) FROM sportsdb_teams WHERE teamdiv = {$divs['divid']}";
	$result = mysql_query($query);
	$result_exist = mysql_result($result,0);
	if ($result_exist) {
		$query = "SELECT teamid, teamname, teamwins, teamties, teamlosses, teamforfeits, teamrf, teamra, (teamwins + teamties + teamlosses + teamforfeits) AS gamesplayed, (teamwins / (teamwins + teamlosses + teamforfeits)) AS winningpct, (teamwins - teamlosses - teamforfeits) AS leadervalue, (teamwins * $points_win + teamforfeits * $points_forfeit + teamties * $points_tie) AS points FROM sportsdb_teams WHERE teamdiv = {$divs['divid']} ORDER BY leadervalue DESC, teamties DESC LIMIT 1";
		$result = mysql_query($query) or die ("Error in query: $query");
		$results = mysql_fetch_array($result, MYSQL_ASSOC);
		$winningpct=number_format($results['winningpct'], 3);
		}

	// Show the leader at the top for default sorting (games behind)

	if ($standings_sort == 9) {

		print "<tr><td><em>{$results['teamname']}</em></td><td>{$results['gamesplayed']}</td><td>{$results['teamwins']}</td><td>{$results['teamlosses']}</td>";
		if ($show_ties) print "<td>{$results['teamties']}</td>";
		if ($forfeit) print "<td>{$results['teamforfeits']}</td>";
		if ($show_rfra) print "<td>{$results['teamrf']}</td><td>{$results['teamra']}</td>";
		if ($show_gb) print "<td>---</td>";
		print "<td>$winningpct</td>";
		if ($show_points) print "<td>{$results['points']}</td>";
		print "</tr>\n";
		}

	if ($result_exist) {
	$query="SELECT teamid, teamname, teamwins, teamties, teamlosses, teamforfeits, teamrf, teamra, (teamwins + teamties + teamlosses + teamforfeits) AS gamesplayed, (teamwins / (teamwins + teamlosses + teamforfeits)) AS winningpct, ((({$results['leadervalue']}) - (teamwins - teamlosses - teamforfeits)) / 2) AS gamesbehind, (teamwins * $points_win + teamforfeits * $points_forfeit + teamties * $points_tie) AS points FROM sportsdb_teams
WHERE teamdiv = {$divs['divid']}";

	if ($standings_sort == 9) {
		$query .= " AND teamid != {$results['teamid']}";
		}
	$query .= " AND active = 1" . $division_sort . " ORDER BY $sort_order";
	$result=mysql_query($query);
	$num=mysql_numrows($result);

	while ($results = mysql_fetch_array($result, MYSQL_ASSOC)) {

		$winningpct=number_format($results['winningpct'], 3);
		$gamesbehind = number_format($results['gamesbehind'],1);

		if ($gamesbehind == "0.0") $gamesbehind = "---";

			print "<tr><td><em>{$results['teamname']}</em></td><td>{$results['gamesplayed']}</td><td>{$results['teamwins']}</td><td>{$results['teamlosses']}</td>";
			if ($show_ties) print "<td>{$results['teamties']}</td>";
			if ($forfeit) print "<td>{$results['teamforfeits']}</td>";
			if ($show_rfra) print "<td>{$results['teamrf']}</td><td>{$results['teamra']}</td>";
			if ($show_gb) print "<td>$gamesbehind</td>";
			print "<td>$winningpct</td>";
			if ($show_points) print "<td>{$results['points']}</td>";
			print "</tr>\n";
			}
	}
	print "</table>\n";
}
?>

<h2>Past Scores</h2>

<?php
print "<table width=\"750\">\n";
print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
if ($show_fields) print "<th>Field</th>";
print "<th>Score</th><th>&nbsp;</th></tr>\n";
$queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_wins.winortie, sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs
WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie != 3
ORDER BY wintime ASC";
$resultscores=mysql_query($queryscores);
$numscores=mysql_numrows($resultscores);

while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

$windateheader=$scores['windate'];
$windateformatted=date("F d, Y",$windateheader);
$wintime=$scores['wintime'];
$hour=date('g',$wintime);
$minute=date('i',$wintime);
$ampm=date('a',$wintime);

print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
if ($show_fields) print "<td>{$scores['field']}</td>";
print "<td>{$scores['rf']} - {$scores['ra']}";
if ($scores['winortie'] == 2 || $scores['winortie'] == 5) print " (ff)";
print "</td><td>{$scores['wincomments']}</td></tr>\n";
}
echo "</table>\n";

// Now list the upcoming schedule
?>

<h2>Upcoming Games</h2>

<?php
print "<table width=\"700\">\n";
print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
if ($show_fields) print "<th>Field</th>";
print "<th>&nbsp;</th></tr>\n";
$queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.rf, sportsdb_wins.ra, sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams, sportsdb_divs
WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie = 3
ORDER BY wintime ASC";
$resultscores=mysql_query($queryscores);
$numscores=mysql_numrows($resultscores);

while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

$windateheader=$scores['windate'];
$windateformatted=date("F d, Y",$windateheader);
$wintime=$scores['wintime'];
$hour=date('g',$wintime);
$minute=date('i',$wintime);
$ampm=date('a',$wintime);

print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
if ($show_fields) print "<td>{$scores['field']}</td>";
print "<td>{$scores['wincomments']}</td></tr>\n";
}
echo "</table>\n";
}

// List the conference

else {
print "<p>Click on the conference name to view its standings</p>\n";

$query = "SELECT * FROM sportsdb_conferences ORDER BY conforder";
$result = mysql_query($query) or die("Error in query $query");
$num = mysql_num_rows($result);
while ($confs = mysql_fetch_array($result, MYSQL_ASSOC)) {
print "<p><a href=\"index.php?conf={$confs['confid']}\">{$confs['confname']}</a></p>\n";
}
}
?>
</body>
</html>