CREATE TABLE `sportsdb_conferences` (
  `confid` int(11) NOT NULL auto_increment,
  `confname` varchar(255) NOT NULL default '',
  `conforder` int(11) NOT NULL default '0',
  KEY `confid` (`confid`)
) AUTO_INCREMENT=3;

INSERT INTO `sportsdb_conferences` VALUES (1, 'Delta', 11);
INSERT INTO `sportsdb_conferences` VALUES (2, 'Conference Two', 20);

CREATE TABLE `sportsdb_divs` (
  `divid` int(11) NOT NULL auto_increment,
  `divname` varchar(255) NOT NULL default '',
  `divorder` int(11) NOT NULL default '0',
  `conference` int(11) NOT NULL default '1',
  KEY `divid` (`divid`)
) AUTO_INCREMENT=4;

INSERT INTO `sportsdb_divs` VALUES (1, 'Pacific Division', 10, 1);
INSERT INTO `sportsdb_divs` VALUES (2, 'NE T-Ball', 40, 1);
INSERT INTO `sportsdb_divs` VALUES (3, 'Peter&#039;s division', 20, 1);

CREATE TABLE `sportsdb_teams` (
  `teamid` int(11) NOT NULL auto_increment,
  `teamname` varchar(255) NOT NULL default '',
  `teamwins` int(11) NOT NULL default '0',
  `teamlosses` int(11) NOT NULL default '0',
  `teamties` int(11) NOT NULL default '0',
  `teamforfeits` int(11) NOT NULL default '0',
  `teamrf` int(5) NOT NULL default '0',
  `teamra` int(5) NOT NULL default '0',
  `teamdiv` int(11) NOT NULL default '1',
  `active` int(11) NOT NULL default '1',
  KEY `teamid` (`teamid`)
) AUTO_INCREMENT=5;

INSERT INTO `sportsdb_teams` VALUES (1, 'Geminis', 0, 1, 1, 0, 4, 6, 1, 1);
INSERT INTO `sportsdb_teams` VALUES (2, 'The Fridays', 1, 1, 0, 0, 8, 7, 3, 1);
INSERT INTO `sportsdb_teams` VALUES (3, 'Stallions', 1, 0, 0, 0, 5, 4, 3, 1);
INSERT INTO `sportsdb_teams` VALUES (4, 'Pandas', 0, 0, 1, 0, 2, 2, 1, 1);

CREATE TABLE `sportsdb_wins` (
  `winid` int(11) NOT NULL auto_increment,
  `windate` int(20) NOT NULL default '0',
  `wintime` int(11) NOT NULL default '0',
  `field` varchar(255) NOT NULL default '',
  `winner` varchar(255) NOT NULL default '0',
  `loser` varchar(255) NOT NULL default '0',
  `rf` int(2) NOT NULL default '0',
  `ra` int(2) NOT NULL default '0',
  `wincomments` varchar(255) NOT NULL default '',
  `winortie` int(1) NOT NULL default '3',
  KEY `winid` (`winid`)
) AUTO_INCREMENT=4;

INSERT INTO `sportsdb_wins` VALUES (1, 1140584400, 1140588900, 'Hyde Park', '1', '4', 2, 2, '<font color="red">Test comment</font>', 0);
INSERT INTO `sportsdb_wins` VALUES (2, 1174622400, 1174681800, 'Stanley Park', '3', '2', 5, 4, '', 1);
INSERT INTO `sportsdb_wins` VALUES (3, 1177041600, 1177108200, 'Stanley Park', '1', '2', 2, 4, '', 4);